/*
 ******************************************************************************
 * Copyright (C) 2005-2020 Alfresco Software Limited.
 *
 * This file is part of the Alfresco Mobile SDK.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *****************************************************************************
 */

#import <Foundation/Foundation.h>

/**
 Constants representing properties on model objects, they take the form of:
 k<class-name>Property<property-name>
 */

extern NSString * const kAlfrescoBaseConfigPropertyIdentifier;
extern NSString * const kAlfrescoBaseConfigPropertyLabel;
extern NSString * const kAlfrescoBaseConfigPropertySummary;

extern NSString * const kAlfrescoConfigInfoPropertySchemaVersion;

extern NSString * const kAlfrescoCreationConfigPropertyCreatableMimeTypes;
extern NSString * const kAlfrescoCreationConfigPropertyCreatableDocumentTypes;
extern NSString * const kAlfrescoCreationConfigPropertyCreatableFolderTypes;

extern NSString * const kAlfrescoFieldConfigPropertyModelIdentifier;

extern NSString * const kAlfrescoFieldConfigPropertyModelIdentifier;

extern NSString * const kAlfrescoFormConfigPropertyLayout;

extern NSString * const kAlfrescoGroupConfigPropertyItems;

extern NSString * const kAlfrescoItemConfigPropertyIconIdentifier;
extern NSString * const kAlfrescoItemConfigPropertyType;
extern NSString * const kAlfrescoItemConfigPropertyParameters;

extern NSString * const kAlfrescoProcessConfigPropertyIsVisible;

extern NSString * const kAlfrescoProfileConfigPropertyIsDefault;
extern NSString * const kAlfrescoProfileConfigPropertyRootViewId;

extern NSString * const kAlfrescoRepositoryConfigPropertyShareURL;
extern NSString * const kAlfrescoRepositoryConfigPropertyCMISURL;

extern NSString * const kAlfrescoSearchConfigPropertySearchableDocumentTypes;
extern NSString * const kAlfrescoSearchConfigPropertySearchableFolderTypes;

extern NSString * const kAlfrescoTaskConfigPropertyIsVisible;

extern NSString * const kAlfrescoViewConfigPropertyFormIdentifier;

extern NSString * const kAlfrescoWorkflowConfigPropertyProcessConfig;
extern NSString * const kAlfrescoWorkflowConfigPropertyTaskConfig;
