/*******************************************************************************
 * Copyright (C) 2005-2020 Alfresco Software Limited.
 *
 * This file is part of the Alfresco Mobile iOS App.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 ******************************************************************************/

#import "AccessibilityConstants.h"

NSString * const kOnboardingVCViewIdentifier = @"onboarding_view";
NSString * const kOnboardingVCLoginButtonIdentifier = @"onboarding_login_button";
NSString * const kOnboardingVCCloseButtonIdentifier = @"onboarding_close_button";
NSString * const kOnboardingVCHelpButtonIdentifier = @"onboarding_help_button";

NSString * const kAccountTypeSelectionVCViewIdentifier = @"accountSelection_view";
NSString * const kAccountTypeSelectionVCCloudCellIdentifier = @"accountSelection_cloud_cell";
NSString * const kAccountTypeSelectionVCOnPremiseCellIdentifier = @"accountSelection_onpremise_cell";
NSString * const kAccountTypeSelectionVCCancelButtonIdentifier = @"accountSelection_cancel_button";

NSString * const kNewAccountVCServerViewIdentifier = @"newAccount_server_view";
NSString * const kNewAccountVCCredentialsViewIdentifier = @"newAccount_credentials_view";
NSString * const kNewAccountVCServerCancelButtonIdentifier = @"newAccount_server_cancel_button";
NSString * const kNewAccountVCCredentialsCancelButtonIdentifier = @"newAccount_credentials_cancel_button";
NSString * const kNewAccountVCSaveButtonIdentifier = @"newAccount_save_button";
NSString * const kNewAccountVCNextButtonIdentifier = @"newAccount_next_button";
NSString * const kNewAccountVCUsernameTextfieldIdentifier = @"newAccount_username_textfield";
NSString * const kNewAccountVCPasswordTextfieldIdentifier = @"newAccount_password_textfield";
NSString * const kNewAccountVCHostnameTextfieldIdentifier = @"newAccount_hostname_textfield";
NSString * const kNewAccountVCDescriptionTextfieldIdentifier = @"newAccount_description_textfield";
NSString * const kNewAccountVCHTTPSSwitchIdentifier = @"newAccount_https_switch";
NSString * const kNewAccountVCPortTextfieldIdentifier = @"newAccount_port_textfield";
NSString * const kNewAccountVCContentTextfieldIdentifier = @"newAccount_content_textfield";
NSString * const kNewAccountVCRealmTextfieldIdentifier = @"newAccount_realm_textfield";
NSString * const kNewAccountVCClientIDTextfieldIdentifier = @"newAccount_clientID_textfield";
NSString * const kNewAccountVCServiceTextfieldIdentifier = @"newAccount_service_textfield";
NSString * const kNewAccountVCClientCetificateCellIdentifier = @"newAccount_clientCertificate_cell";

NSString * const kAccountVCViewIdentifier = @"account_view";
NSString * const kAccountVCAddAccountButtonIdentifier = @"account_addAccount_button";
NSString * const KAccountVCTableViewIdentifier = @"account_tableView";

NSString * const kBaseDocumentPreviewVCViewIdentifier = @"documentPreview_view";
NSString * const kBaseDocumentPreviewVCSegmentedControlIdentifier = @"documentPreview_segmentedControl";

NSString * const kFilePreviewVCViewIdentifier = @"filePreview_view";

NSString * const kMetadataVCViewIdentifier = @"metadata_view";

NSString * const kVersionHistoryVCViewIdentifier = @"versionHistory_view";

NSString * const kMapVCViewIdentifier = @"map_view";

NSString * const kCommentVCViewIdentifier = @"comment_view";
NSString * const kCommentVCPostButtonIdentifier = @"comment_post_button";
NSString * const kCommentVCTableViewIdentifier = @"comment_tableview";
NSString * const kCommentVCTextviewIdentifier = @"comment_textview";

NSString * const kActionCollectionItemEmailButtonIdentifier = @"actionItem_email_button";
NSString * const kActionCollectionItemEmailAsLinkButtonIdentifier = @"actionItem_emailAsLink_button";
NSString * const kActionCollectionItemOpenInButtonIdentifier = @"actionItem_openIn_button";
NSString * const kActionCollectionItemLikeButtonIdentifier = @"actionItem_like_button";
NSString * const kActionCollectionItemUnlikeButtonIdentifier = @"actionItem_unlike_button";
NSString * const kActionCollectionItemFavouriteButtonIdentifier = @"actionItem_favourite_button";
NSString * const kActionCollectionItemUnfavouriteButtonIdentifier = @"actionItem_unfavourite_button";
NSString * const kActionCollectionItemCommentButtonIdentifier = @"actionItem_comment_button";
NSString * const kActionCollectionItemEditButtonIdentifier = @"actionItem_edit_button";
NSString * const kActionCollectionItemDownloadButtonIdentifier = @"actionItem_download_button";
NSString * const kActionCollectionItemPrintButtonIdentifier = @"actionItem_print_button";
NSString * const kActionCollectionItemDeleteButtonIdentifier = @"actionItem_delete_button";
NSString * const kActionCollectionItemRenameButtonIdentifier = @"actionItem_rename_button";
NSString * const kActionCollectionItemUploadButtonIdentifier = @"actionItem_upload_button";
NSString * const kActionCollectionItemSendForReviewButtonIdentifier = @"actionItem_sendForReview_button";
NSString * const kActionCollectionItemSubFolderButtonIdentifier = @"actionItem_subfolder_button";
NSString * const kActionCollectionItemUploadNewVersionButtonIdentifier = @"actionItem_uploadNewVersion_button";
NSString * const kActionCollectionItemSyncButtonIdentifier = @"actionItem_sync_button";
NSString * const kActionCollectionItemUnsyncButtonIdentifier = @"actionItem_unsync_button";

NSString * const kBaseCollectionVCDotsBarButtonIdentifier = @"collectionView_dots_barButton";
NSString * const kBaseCollectionVCMultiSelectDoneButtonIdentifier = @"collectionView_multiSelectDone_button";
NSString * const kBaseCollectionVCMultiSelectDeleteButtonIdentifier = @"collectionView_multiSelectDelete_button";
NSString * const kBaseCollectionVCAddButtonIdentifier = @"collectionView_add_button";

NSString * const kCollectionViewCellDeleteButtonIdentifier = @"collectionViewCell_delete_button";

NSString * const kTextFileVCViewIdentifier = @"textFile_view";
NSString * const kTextFileVCCancelButtonIdentifier = @"textFile_cancel_button";
NSString * const kTextFileVCNextButtonIdentifier = @"textFile_next_button";
NSString * const kTextFileVCContentTextViewIdentifier = @"textFile_content_textView";

NSString * const kUploadFormVCViewIdentifier = @"uploadForm_view";
NSString * const kUploadFormVCCancelButtonIdentifier = @"uploadForm_cancel_button";
NSString * const kUploadFormVCUploadButtonIdentifier = @"uploadForm_upload_button";
NSString * const kUploadFormVCFilenameTextFieldIdentifier = @"uploadForm_filename_textfield";
NSString * const kUploadFormVCRecordButtonIdentifier = @"uploadForm_record_button";
NSString * const kUploadFormVCPlayButtonIdentifier = @"uploadForm_play_button";

NSString * const kSitesCellFavoriteActionButtonIdentifier = @"sitesCell_favoriteAction_button";
NSString * const kSitesCellMembershipActionButtonIdentifier = @"sitesCell_membershipAction_button";
NSString * const kSitesCellMembersButtonIdentifiers = @"sitesCell_members_button";
NSString * const kSitesCellDisclosureButtonIdentifier = @"sitesCell_disclosure_button";

NSString * const kSitesVCViewIdentifier = @"sites_view";
NSString * const kSitesVCSegmentedControlIdentifier = @"sites_segmentedControl";

NSString * const kSitesTableListVCFavoriteSitesViewIdentifier = @"favoriteSites_view";
NSString * const kSitesTableListVCMySitesViewIdentifier = @"mySites_view";
NSString * const kSitesTableListVCAllSitesViewIdentifier = @"allSites_view";

NSString * const kSearchVCSiteViewIdentifier = @"siteSearch_view";
NSString * const kSearchVCLandingViewIdentifier = @"landingSearch_view";
NSString * const kSearchVCFileViewIdentifier = @"fileSearch_view";
NSString * const kSearchVCUserViewIdentifier = @"userSearch_view";
NSString * const kSearchVCFolderViewIdentifier = @"folderSearch_view";

NSString * const kMainMenuVCViewIdentifier = @"mainMenu_view";
NSString * const kMainMenuVCTableViewIdentifier = @"mainMenu_tableView";

NSString * const kMainMenuBarButtonItemIdentifier = @"menu_button";

NSString * const kMenuItemAccountsCellIdentifier = @"menuItem_accounts_cell";
NSString * const kMenuItemSettingsCellIdentifier = @"menuItem_settings_cell";
NSString * const kMenuItemLocalFilesCellIdentifier = @"menuItem_localFiles_cell";
NSString * const kMenuItemHelpCellIdentifier = @"menuItem_help_cell";
NSString * const kMenuItemActivitiesCellIdentifier = @"menuItem_activities_cell";
NSString * const kMenuItemRepositoryCellIdentifier = @"menuItem_repository_cell";
NSString * const kMenuItemSitesCellIdentifier = @"menuItem_sites_cell";
NSString * const kMenuItemFavoritesCellIdentifier = @"menuItem_favorites_cell";
NSString * const kMenuItemSyncedContentCellIdentifier = @"menuItem_syncedContent_cell";
NSString * const kMenuItemSearchCellIdentifier = @"menuItem_search_cell";
NSString * const kMenuItemMyFilesCellIdentifier = @"menuItem_myFiles_cell";
NSString * const kMenuItemSharedFilesCellIdentifier = @"menuItem_sharedFiles_cell";
NSString * const kMenuItemTasksCellIdentifier = @"menuItem_tasks_cell";
